tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Schultz <ch...@christopherschultz.net>
Subject Re: Need help on upgrading
Date Wed, 01 Jun 2016 13:22:30 GMT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Vijay,

On 5/31/16 11:03 PM, aramanda vijay wrote:
> We are hosting our e-commerce application on tomcat 7.0.47 with 
> Apache( Apache/2.2.15) web server for load balancing. There are 2 
> servers on the cluster. I don't remember the exact cluster 
> configuration.
> 
> There is a requirement to upgrade our tomcat to the latest version 
> 8.0.35. Does the same apache version, cluster setup work the same
> way on 7.0.47 and 8.0.35 ? Does the apache also need upgrade?

Apache httpd upgrade is not necessary, but if you aren't on 2.4.x, you
should make plans to upgrade.

The configuration differences between Tomcat 7 and Tomcat 8 are
minimal, but you should be aware that Tomcat 7's conf/server.xml and
Tomcat 8's conf/server.xml are completely incompatible.

It would be best to take the stock conf/server.xml from Tomcat 8 and
make whatever changes you need to get it to match your current one
(e.g. <Connector> and <Host> configurations).

You should definitely read this:
http://tomcat.apache.org/migration-8.html

... and possibly pay special attention to this:
http://tomcat.apache.org/migration-8.html#Upgrading_8.0.x

- -chris
-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - http://gpgtools.org
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAldO4ZYACgkQ9CaO5/Lv0PATZgCgnVvqJvNWe1Sm5EYr0lXPy7w8
XRcAnA8Gd+YlNQIUbnJcE9i/F7Z3Bhkh
=WE7O
-----END PGP SIGNATURE-----

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message